Name:    x11-driver-video-qxl
Version: 0.0.16
%define subrel 1
Release: %mkrel 4
Summary: X.org driver for QEMU QXL paravirt video
Group:   System/X11
URL:     http://xorg.freedesktop.org
Source:  http://xorg.freedesktop.org/releases/individual/driver/xf86-video-qxl-%{version}.tar.bz2
Patch0:	 xf86-video-qxl-0.0.16-CVE-2013-0241.patch
License: MIT

BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros
BuildRequires: spice-protocol

%description
X.org driver for QEMU QXL paravirt video.

%prep
%setup -q -n xf86-video-qxl-%{version}
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%{_libdir}/xorg/modules/drivers/qxl_drv.la
%{_libdir}/xorg/modules/drivers/qxl_drv.so


%changelog

* Fri Feb 01 2013 luigiwalser <luigiwalser> 0.0.16-4.1.mga2
+ Revision: 393964
- add upstream patch to fix CVE-2013-0241

  + tmb <tmb>
    - submit to core/release

* Sat Oct 08 2011 tv <tv> 0.0.16-3.mga2
+ Revision: 153305
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.0.16-2.mga2
+ Revision: 153084
- rebuild for xserver-1.11
- BuildRequires: spice-protocol
- disable xspice
- new release
- enable-xspice

* Tue Feb 01 2011 dmorgan <dmorgan> 0.0.13-1.mga1
+ Revision: 46014
- imported package x11-driver-video-qxl

